# List all virtual accounts

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/virtual-accounts?business_id={BUSINESS_ID_VALUE}
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="171"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code> </td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="253"></th><th></th></tr></thead><tbody><tr><td><strong>buisness_id</strong><br><code>string</code>   <mark style="color:red;"><code>required</code></mark></td><td>Buisness ID</td></tr><tr><td><strong>account_name</strong>    <br><code>string</code></td><td>Virtual's account name</td></tr><tr><td><strong>phone_number</strong>         <br><code>string</code> </td><td>Phone number used in registering the virtual account</td></tr><tr><td><strong>single_use</strong>         <br><code>boolean</code>  </td><td> Flag for a single use virtual account, should be set to <code>true</code></td></tr><tr><td><strong>bvn</strong>         <br><code>string</code>   </td><td>Bank verification number used in registering the virtual account</td></tr><tr><td><strong>page</strong>         <br><code>number</code></td><td>Specifies the current page in a list of paginated data, default is set to 1</td></tr><tr><td><strong>perPage</strong><br><code>number</code>   <mark style="color:red;"><code>required</code></mark></td><td>Specifies the number of records per page of a paginated data, default is set to 50</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/virtual-accounts?bvn=&account_name=&phone_number=&page=0&perPage=10&business_id=&single_use=true' \
--header 'Authorization': 'Bearer SECRET_KEY'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
 method: 'get',
 url: 'https://api.tryduplo.com/v1/virtual-accounts?bvn=&account_name=&phone_number=&page=0&perPage=10&business_id=&single_use=true',
 headers: {
   'Authorization': 'Bearer SECRET_KEY'
 }
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://app-api.tryduplo.com/v1/virtual-accounts?bvn=&account_name=&phone_number=&page=0&perPage=10&business_id=&single_use=true',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'GET',
 CURLOPT_HTTPHEADER => array(
  'Authorization': 'Bearer SECRET_KEY'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {
       "data": [
           {
               "account_ref": "act_a3800ffee53c7f",
               "date": "2021-07-28T08:42:36.000Z",
               "email": "alindavdsin@gmail.com",
               "expiry": false,
               "phone_number": "08085279945",
               "status": "active",
               "account_name": "MERCHANT(Dan Don)",
               "account_number": "9977627807",
               "bvn": "93727462837646542"
           },
           {
               "account_ref": "act_e39682322612",
               "date": "2021-07-28T08:44:10.000Z",
               "email": "alindavdsin@gmail.com",
               "expiry": false,
               "phone_number": "08085279945",
               "status": "active",
               "account_name": "MERCHANT(Dan Don)",
               "account_number": "9977627814",
               "bvn": "93727462837646542"
           }
       ],
       "meta": {
           "page": 1,
           "limit": 2,
           "previousPage": false,
           "nextPage": 2,
           "pageCount": 3,
           "total": 5
       }
   },
   "errors": {},
   "message": "Request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/collect-payments/virtual-accounts/list-virtual-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
